Bug 87677 - [945GM] GPU HANG: ecode -1:0x00000000, reason: Command parser error, iir 0x00008000, action: continue
Summary: [945GM] GPU HANG: ecode -1:0x00000000, reason: Command parser error, iir 0x00...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-24 10:11 UTC by Dirk Griesbach
Modified: 2017-07-24 22:49 UTC (History)
2 users (show)

See Also:
i915 platform: I945GM
i915 features: GPU hang


Attachments
/sys/class/drm/card0/error (675.04 KB, text/plain)
2014-12-24 10:11 UTC, Dirk Griesbach
no flags Details
Xorg.0.log (21.73 KB, text/plain)
2014-12-24 10:14 UTC, Dirk Griesbach
no flags Details
dmesg (52.89 KB, text/plain)
2014-12-24 10:15 UTC, Dirk Griesbach
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Griesbach 2014-12-24 10:11:36 UTC
Created attachment 111265 [details]
/sys/class/drm/card0/error

I found this in dmesg after a clean shutdown/boot (and on a second try and a third one). At least with kernel 3.17.x I didn't have this kind of issue in the past, so what changed? I tested kernel 3.19-rc1 the other day and I updated xf68-video-intel from 2.99.916 to 2.99.917.

[   56.057399] [drm] GPU HANG: ecode -1:0x00000000, reason: Command parser error, iir 0x00008000, action: continue
[   56.057408] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[   56.057412] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[   56.057415] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[   56.057419] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[   56.057423] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[   56.057427] i915: render error detected, EIR: 0x00000010
[   56.057432] i915: page table error
[   56.057436] i915:   PGTBL_ER: 0x00000010
[   56.057443] [drm:i915_report_and_clear_eir] *ERROR* EIR stuck: 0x00000010, masking
[   56.058768] [drm] GPU HANG: ecode -1:0x00000000, reason: Command parser error, iir 0x00008000, action: continue
[   56.058777] i915: render error detected, EIR: 0x00000010
[   56.058781] i915: page table error
[   56.058784] i915:   PGTBL_ER: 0x00000010

-- System Information:
gfxcard: 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)
xf86-video-intel: 2.99.917-1~exp1
mesa: 10.3.2

Debian Release: 8.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.17.7+ (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                                  2.19-13
ii  libdrm-intel1                          2.4.58-2
ii  libdrm2                                2.4.58-2
ii  libpciaccess0                          0.13.2-3+b1
ii  libpixman-1-0                          0.32.6-3
ii  libudev1                               215-8
ii  libx11-6                               2:1.6.2-3
ii  libx11-xcb1                            2:1.6.2-3
ii  libxcb-dri2-0                          1.10-3+b1
ii  libxcb-dri3-0                          1.10-3+b1
ii  libxcb-sync1                           1.10-3+b1
ii  libxcb-util0                           0.3.8-3
ii  libxcb1                                1.10-3+b1
ii  libxcursor1                            1:1.1.14-1+b1
ii  libxdamage1                            1:1.1.4-2+b1
ii  libxext6                               2:1.3.3-1
ii  libxfixes3                             1:5.0.1-2+b2
ii  libxinerama1                           2:1.1.3-1+b1
ii  libxrandr2                             2:1.4.2-1+b1
ii  libxrender1                            1:0.9.8-1+b1
ii  libxshmfence1                          1.1-4
ii  libxtst6                               2:1.2.2-1+b1
ii  libxv1                                 2:1.0.10-1+b1
ii  libxvmc1                               2:1.0.8-2+b1
ii  xserver-xorg-core [xorg-video-abi-18]  2:1.16.2.901-1
Comment 1 Dirk Griesbach 2014-12-24 10:14:10 UTC
Created attachment 111266 [details]
Xorg.0.log
Comment 2 Dirk Griesbach 2014-12-24 10:15:55 UTC
Created attachment 111267 [details]
dmesg
Comment 3 Dirk Griesbach 2014-12-24 10:27:32 UTC
As I just switched from X11 to virtual terminal and back to X11, I got a blueish screen and thats it. The screen is dead (however nicely colored baby blue), switching back to a virtual terminal won't help, had to reboot.
Comment 4 andreas.sturmlechner 2014-12-28 00:03:40 UTC
Try to revert to 2.99.916, I've got similar trouble there with GM45
Comment 5 Ilya Gordeev 2015-03-03 19:14:17 UTC
Have the same problem with GM45 after update to xf86-video-intel-2.99.917. Version 2.99.916 works fine.
Comment 7 Dirk Griesbach 2015-11-25 23:56:05 UTC
(In reply to Jani Nikula from comment #6)
> Does this fix the issue
> http://patchwork.freedesktop.org/patch/msgid/1448297312-18558-1-git-send-
> email-matthew.d.roper@intel.com

I don't know the reason but this particular error vanished from my system – logs are clear at least since May. So, not much to test or fix anymore. (Currently running kernel 4.3 and xf86-video-intel 2.99.917 is installed at least since May)

Dirk
Comment 8 Ilya Gordeev 2015-12-05 10:03:54 UTC
I've changed my distribution (not because of it) and now my video is working fine with 2.99.917 version.
Comment 9 Matt Roper 2015-12-09 02:05:18 UTC
Moving this to resolved since the original submitter reports that an earlier driver update already eliminated the hang.  Please reopen if the same bug returns.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.